> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get action priorities



## OpenAPI

````yaml get /v1/actions/priorities
openapi: 3.0.0
info:
  title: Actions APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/actions
  - url: https://staging.api.eu.aptlydone.com/actions
  - url: https://api.us.aptlydone.com/actions
  - url: https://api.eu.aptlydone.com/actions
security: []
tags: []
paths:
  /v1/actions/priorities:
    get:
      tags:
        - actions
      summary: Get action priorities
      operationId: ActionController_getActionPriorities_v1
      parameters: []
      responses:
        '200':
          description: Action priorities retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionPriorityResponseDtoArrayResponse'
      security:
        - accessToken: []
components:
  schemas:
    ActionPriorityResponseDtoArrayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:27:47.328Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/ActionPriorityResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    ActionPriorityResponseDto:
      type: object
      properties:
        id:
          type: string
          example: ac8c73c0-134a-4226-8123-55dc97761b19
          description: Unique identifier for the action priority
        actionPriorityName:
          type: string
          example: High
          description: Name of the action priority
        isEnabled:
          type: boolean
          example: true
          description: Whether this priority is enabled
        colorName:
          type: string
          example: green
          description: Color code for the action priority
      required:
        - id
        - actionPriorityName
        - isEnabled
        - colorName
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````